﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SyumasGen
{
    /// <summary>
    /// スクリプトファイル生成クラス
    /// </summary>
    class AvsFileGenerator
    {
        public static void SaveScript(string filePath, List<RankingData> rankList, Settings option)
        {
            StringBuilder script = new StringBuilder();

            // ヘッダ
            //script.Append("Import(\"syumas_func.avs\")\r\n");
            //script.Append("\r\n");

            // 映像読み込み部分
            bool isFirst = true;

            for (int i = 0; i < rankList.Count; i++)
            {
                //if (isFirst)
                //{
                //    script.Append("clip =         ");
                //    isFirst = false;
                //}
                //else
                //{
                    script.Append("clip = clip ++ ");
                //}

                RankingData data = rankList[i];

                object[] args = { i + 1, data.Mark, data.StartSec, data.LengthSec, data.FileName };
                script.AppendFormat("LoadClip({0}, \"{1}\", {2}, {3}, \"{4}\")\r\n", args);
            }

            // フッタ
            //script.Append("\r\n");
            //script.Append("return clip\r\n");

            using (StreamWriter sw = new StreamWriter(filePath, false, Encoding.GetEncoding("Shift_JIS")))
            {
                sw.Write(script.ToString());
            }
        }
    }
}
